# Method: shippingsettings.update

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#try-it)

Updates the shipping settings of the account. Any fields that are not provided are deleted from the resource.

### HTTP request

`PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/shippingsettings/{accountId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. If this parameter is not the same as [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings/update#accountId), then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account. |
| `accountId` | `string` The ID of the account for which to get/update shipping settings. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/shippingsettings#ShippingSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).